# ORB.cpp File Reference

`#include "ORB.h"`
`#include "ORB_Table.h"`
`#include "Connector_Registry.h"`
`#include "IOR_Parser.h"`
`#include "Stub.h"`
`#include "ORB_Core.h"`
`#include "ORB_Core_TSS_Resources.h"`
`#include "TAO_Internal.h"`
`#include "Dynamic_Adapter.h"`
`#include "Profile.h"`
`#include "default_ports.h"`
`#include "ORBInitializer_Registry_Adapter.h"`
`#include "PolicyFactory_Registry_Adapter.h"`
`#include "NVList_Adapter.h"`
`#include "TAO_Singleton_Manager.h"`
`#include "Policy_Current.h"`
`#include "Policy_Manager.h"`
`#include "Valuetype_Adapter.h"`
`#include "IFR_Client_Adapter.h"`
`#include "TypeCodeFactory_Adapter.h"`
`#include "debug.h"`
`#include "CDR.h"`
`#include "SystemException.h"`
`#include "default_environment.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Reactor.h"`
`#include "ace/Argv_Type_Converter.h"`
`#include "ace/ACE.h"`
`#include "ace/Static_Object_Lock.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/os_include/os_ctype.h"`

Include dependency graph for ORB.cpp:

## Functions

void | TAO_unexpected_exception_handler (void)

## Variables

const char | ior_prefix [] = "IOR:"
int | orb_init_count = 0

## Function Documentation

void TAO_unexpected_exception_handler | ( | void |  | ) |

## Variable Documentation

const char ior_prefix[] = "IOR:"`[static]`

int orb_init_count = 0`[static]`